nav {font-size: 16px;}
nav ul.desktop-menu {list-style: none; display: flex; align-items: center; gap: 29px; text-align: center; line-height: 1.3; position: relative;}
nav a {-webkit-tap-highlight-color: transparent;text-decoration: none;text-transform: uppercase;color: var(--text-color);font-weight: 400;transition: color 0.3s;padding: 1rem 0;}
nav a:hover {color: var(--primary-color);}
nav a.contact {display: inline-block;background-color: var(--primary-color);color: white;padding: 0 1.2rem;line-height: 2.4rem;/* border-radius: 4px; */}
nav a.contact:hover {background-color: var(--secondary-color); transition: 0.3s;}

/* Burger et menu mobile */
.menu-btn {
  display:none;
  font-size:28px;
  background:none;
  border:none;
  cursor:pointer;
  z-index:1100;
  position:relative;
  color: var(--text-color);
  -webkit-tap-highlight-color: transparent;
}

.toggle-sub {display: none;}

/* Mobile */
@media screen and (max-width:1024px) {
  
  nav a.contact {padding: 0 0.9rem;}

  /* Burger visible */
  .menu-btn { 
      display:block; 
      font-size:28px; 
      background:none; 
      border:none; 
      cursor:pointer; 
      z-index:1100; 
      position:relative; 
  }

  /* Menu mobile */
  #menu {
      display:flex;
      flex-direction:column;
      position:fixed;
      top:0;
      left:-260px;
      width:260px;
      height:100%;
      background:white;
      padding:30px;
      gap:23px;
      transition:left 0.3s ease;
      z-index:1000;
      border-top: 4px solid var(--primary-color);
  }
  #menu.active { left:0; box-shadow: 0 0 12px rgba(0, 0, 0, 0.08); }

  /* Masquer menu desktop horizontal */
  nav ul.desktop-menu { display:none; }
  
  nav ul.desktop-menu.active {
      display: flex;
  }
}
